[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.DoOnTimer

Signals the OnTimer event handler (when assigned) using the specified parameter values.

## Declaration

Source position: dialogs.pp line 798

`protected procedure TCustomTaskDialog.DoOnTimer(`
`TickCount: Cardinal;`
`var Reset: Boolean`
`); dynamic;`

## Arguments

`TickCount` |  | Elapsed number of milliseconds since the timer was started.
`Reset` |  | Set to True to reset (cancel) the timer for the task dialog. False allows the timer to continue executing.

## Version info

Added in LCL version 4.0.